### A free/open-source library for quantitative finance

Protected Member Functions
BarrierOption::engine Class Reference

Barrier-option engine base class More...

`#include <ql/instruments/barrieroption.hpp>`

Inheritance diagram for BarrierOption::engine:
[legend]

List of all members.

## Protected Member Functions

bool | triggered (Real underlying) const

## Detailed Description

Barrier-option engine base class